Name:           python-omemo-dr
Version:        1.0.1
Release:        0%{?dist}
Summary:        Python library for non-blocking use of Jabber/XMPP
# Automatically converted from old format: GPLv3 - review is highly recommended.
License:        GPL-3.0-only
URL:            https://dev.gajim.org/gajim/omemo-dr/
Source0:        https://dev.gajim.org/gajim/omemo-dr/-/archive/v%{version}/omemo-dr-v%{version}.tar.bz2

BuildRequires:  python3-devel gcc
BuildRequires:  protobuf-compiler

%global desc %{expand:
python-omemo-dr is a Python library that implements the Double Ratchet.
Initial codebase was forked from https://github.com/tgalal/python-axolotl but has since been heavily rewritten.}

%description
%{desc}

%package -n python3-omemo-dr
Summary:        %{summary}

%description -n python3-omemo-dr
%{desc}

%prep
%autosetup -n omemo-dr-v%{version}
sed -i 's/protobuf[^"]*/protobuf/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
protoc -I=src/omemo_dr/protobuf --python_out=src/omemo_dr/protocol omemo.proto
protoc -I=src/omemo_dr/protobuf --python_out=src/omemo_dr/protocol whisper.proto
protoc -I=src/omemo_dr/protobuf --python_out=src/omemo_dr/state storage.proto

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files omemo_dr

%files -n python3-omemo-dr -f %{pyproject_files}
%doc README.md CHANGELOG.md

%changelog
%{nil}
